import request from '@/utils/request'

// 查询订单商品列表
export function listLiveOrderitems(query) {
  return request({
    url: '/live/liveOrderitems/list',
    method: 'get',
    params: query
  })
}

// 查询订单商品详细
export function getLiveOrderitems(id) {
  return request({
    url: '/live/liveOrderitems/' + id,
    method: 'get'
  })
}

// 新增订单商品
export function addLiveOrderitems(data) {
  return request({
    url: '/live/liveOrderitems',
    method: 'post',
    data: data
  })
}

// 修改订单商品
export function updateLiveOrderitems(data) {
  return request({
    url: '/live/liveOrderitems',
    method: 'put',
    data: data
  })
}

// 删除订单商品
export function delLiveOrderitems(id) {
  return request({
    url: '/live/liveOrderitems/' + id,
    method: 'delete'
  })
}

// 导出订单商品
export function exportLiveOrderitems(query) {
  return request({
    url: '/live/liveOrderitems/export',
    method: 'get',
    params: query
  })
}